/*
    Copyright (C) 2000 by Hervé PHILIPPE <rv@bemail.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _FENETRECHANGEMENTDEPARTIE_H_
#define _FENETRECHANGEMENTDEPARTIE_H_

#include <Application.h>
#include <Window.h>
#include <Button.h>
#include <Box.h>
#include <RadioButton.h>
#include <Message.h>
#include <stdio.h>

#include "PlateauDeJeu.h"		// Pour NOMBRE_JOUEURS_MAXI
#include "TextesDuLogiciel.h"

#define LABEL_FENETRE_NOUVELLE_PARTIE		"Nouvelle partie"

#define POSITION_FENETRE_NOUVELLE_PARTIE	BRect(100,100,123,270)
#define POSITION_GROUPE_JOUEURS				BRect(8, 2, 17, 100)
#define POSITION_GROUPE_JOUEUR1				BRect(10, 15, 150, 60)
#define POSITION_HUMAIN						BRect(15, 18, 135, 28)
#define POSITION_BOUTON_COMMENCER_PARTIE	BRect(150, 120, 280, 150)
#define POSITION_BOUTON_ANNULER				BRect(30, 180, 130, 90)
#define POSITION_RADIO_2JOUEURS				BRect(130, 70, 200, 90)

#define MSG_COMMENCER_NOUVELLE_PARTIE	'COMD'
#define MSG_COMMENCER_PARTIE			'COMP'
#define MSG_ANNULER						'ANNU'
#define MSG_HUMAIN_JOUEUR1				'0J00'	// 1er joueur :		'0J00'...'0J03'
												// 2ième joueur :	'0J10'...'0J13'	etc.
#define MSG_2JOUEURS					'JOU2'	// 2 joueurs : 'JOU2', 3joueurs : 'JOU3'...

#define NIVEAU_MAXIMUM_ORDINATEUR		3

class FenetreChangementDePartie : public BWindow
{
// FONCTIONS
	public:
						FenetreChangementDePartie(BWindow* fenetre_abalone, uint8* tableau_joueurs, uint8* ptr_nombre_joueurs, TextesDuLogiciel* textes, bool nouvelle_partie);
		virtual			~FenetreChangementDePartie();
		virtual	void	MessageReceived(BMessage* message);
		void			Quit();
		void			GriserJoueurs();
	private:

// VARIABLES ET CONSTANTES
	private:
		BView*					m_Fond;
		BBox*					m_GroupeJoueurs;
		BBox**					m_TableauGroupeJoueurs;
		BButton*				m_BoutonCommencer;
		BButton*				m_BoutonAnnuler;
		BRadioButton***			m_TableauBoutonsRadio;
		BWindow*				m_FenetreAbalone;
		uint8*					m_ptrNombreJoueurs;
		uint8					m_NombreJoueursSauvegarde;
		uint8*					m_TableauJoueurs;
		uint8*					m_TableauJoueursSauvegarde;
		bool					m_NouvellePartie;
};

#endif