/*
    Copyright (C) 2000 by Hervé PHILIPPE <rv@bemail.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _MENUDYNAMIQUE_H_
#define _MENUDYNAMIQUE_H_

#include <stdio.h>
#include <SupportDefs.h>		// Pour uint8 et uint32
#include <MenuItem.h>
#include <Roster.h>				// Pour app_info
#include <Application.h>		// Pour be_app
#include <Path.h>
#include <Directory.h>

class MenuDynamique
{
// FONCTIONS
	public:
				MenuDynamique(BMenu* sous_menu, const char* chaine_repertoire, uint32 numero_premier_message);
		virtual	~MenuDynamique();
		BEntry	SelectionnerFichier(uint8 numero_du_fichier = 0);
		bool	Active(uint32 numero_message);
		uint8	NumeroFichier();

// VARIABLES ET CONSTANTES
	private:
		uint8			m_NumeroFichier;
		BMenu*			m_Menu;
		BDirectory		m_Repertoire;
		BEntry			m_EntreeFichier;
		const uint32	m_ConstanteMessage;
};

#endif