/*
    Copyright (C) 2000 by Hervé PHILIPPE <rv@bemail.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "PlateauDeJeu.h"

  ////////////////////////////////////
 // CONSTRUCTEUR de "PlateauDeJeu" //
////////////////////////////////////------------------------------------
// Initialise le nombre total de boules et le nombre total de joueurs --
//----------------------------------------------------------------------
PlateauDeJeu::PlateauDeJeu(uint8 nombre_boules, uint8 nombre_joueurs)
// 2 PARAMETRES :				ENTREE					ENTREE
{
	m_NombreBoules = nombre_boules;
	m_NombreJoueurs = nombre_joueurs;
}

  /////////////////////////////
 // FONCTION "CouleurBoule" //
/////////////////////////////-------
// Renvoie la couleur de la boule --
//----------------------------------
int8
PlateauDeJeu::CouleurBoule(int8 numero_boule)
// 1 PARAMETRE :				ENTREE
{
	return (numero_boule-1)/(m_NombreBoules/m_NombreJoueurs);
}

  ////////////////////////////////////
 // FONCTION "NombreBoulesCouleur" //
////////////////////////////////////----------------------
// Renvoie le nombre total de boules d'une même couleur --
//--------------------------------------------------------
uint8		// VALEUR DE RETOUR
PlateauDeJeu::NombreBoulesCouleur()
// AUCUN PARAMETRE
{
	return m_NombreBoules/m_NombreJoueurs;
}

  //////////////////////////////
 // FONCTION "NombreJoueurs" //
//////////////////////////////----------
// Renvoie le nombre total de joueurs --
//--------------------------------------
uint8		// VALEUR DE RETOUR
PlateauDeJeu::NombreJoueurs()
// AUCUN PARAMETRE
{
	return m_NombreJoueurs;
}

  ////////////////////////////////
 // FONCTION "JoueurPrecedent" //
////////////////////////////////-----------
// Renvoie le numéro du joueur précédent --
//-----------------------------------------
uint8		// VALEUR DE RETOUR
PlateauDeJeu::JoueurPrecedent(uint8 joueur_courant)
// 1 PARAMETRE :					ENTREE
{
	return (joueur_courant - 1 + m_NombreJoueurs) % m_NombreJoueurs;
}

  //////////////////////////////
 // FONCTION "JoueurSuivant" //
//////////////////////////////-----------
// Renvoie le numéro du joueur suivant --
//---------------------------------------
uint8		// VALEUR DE RETOUR
PlateauDeJeu::JoueurSuivant(uint8 joueur_courant)
// 1 PARAMETRE :					ENTREE
{
	return (joueur_courant + 1) % m_NombreJoueurs;
}

  ////////////////////////////////////
 // FONCTION "ChangerNombreBoules" //
////////////////////////////////////--
// Change le nombre total de boules --
//------------------------------------
void		// AUCUNE VALEUR DE RETOUR
PlateauDeJeu::ChangerNombreBoules(uint8 nombre_boules)
// 1 PARAMETRE :						ENTREE
{
	m_NombreBoules = nombre_boules;
}

  /////////////////////////////////////
 // FONCTION "ChangerNombreJoueurs" //
/////////////////////////////////////--
// Change le nombre total de joueurs --
//-------------------------------------
void		// AUCUNE VALEUR DE RETOUR
PlateauDeJeu::ChangerNombreJoueurs(uint8 nombre_joueurs)
// 1 PARAMETRE :						ENTREE
{
	m_NombreJoueurs = nombre_joueurs;
}
