/*
    Copyright (C) 2000 by Hervé PHILIPPE <rv@bemail.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _PLATEAUDEJEU_H_
#define _PLATEAUDEJEU_H_

#include <SupportDefs.h>	// Pour uint8

#define NOMBRE_JOUEURS_MAXI		3	// Nombre maximum de joueurs possibles

class PlateauDeJeu
{
// FONCTIONS
	public:
						PlateauDeJeu(uint8 nombre_boules, uint8 nombre_joueurs);
		int8			CouleurBoule(int8 numero_boule);
		uint8			NombreBoulesCouleur();
		uint8			NombreJoueurs();
		uint8			JoueurPrecedent(uint8 joueur_courant);
		uint8			JoueurSuivant(uint8 joueur_courant);
		virtual	void	ChangerNombreBoules(uint8 nombre_boules);
		void			ChangerNombreJoueurs(uint8 nombre_joueurs);

// VARIABLES ET CONSTANTES
	protected:
	// nombre total de boules sur le plateau de jeu
		uint8	m_NombreBoules;
	// nombre total de joueurs
		uint8	m_NombreJoueurs;
};

#endif
